# List the customer group metrics Gets the following metrics for each customer group that is in the active status: - Document Success Rate and trend - Retry Success Rate - Average Attempts Endpoint: GET /api/v1/metrics/customer_group Version: 2026-02-20 Security: basicAuth ## Response 200 fields (application/json): - `customer_groups` (array) An array containing the following information for each customer group. - Customer group ID - Customer group name - Whether Smart Retry is enabled for this customer group - Document Success Rate indicating the percentage of billing documents that are successfully collected - The trend of change in Document Success Rate over the last 30 days - Retry Success Rate indicating the percentage of the successful payment attempts - Average Attempts indicating the average number of attempts required to recover funds Example: [{"id":1,"name":"batch22","smart_retry":false,"document_success_rate":"17.17","document_success_rate_trend":"up","retry_success_rate":"21.76","average_attempts":"4.11"},{"id":2,"name":"Smart Retry","smart_retry":true,"document_success_rate":"74.17","document_success_rate_trend":"down","retry_success_rate":"81.21","average_attempts":"1.32"},{"id":4,"name":"All Remaining Customers","smart_retry":false,"document_success_rate":"16.35","document_success_rate_trend":"up","retry_success_rate":"15.21","average_attempts":"3.32"}] - `success` (boolean) Indicates whether the metrics are retrieved successfully. If no data is loaded yet, a 200 response code will be returned with the success field set to true. All expected fields will be present but the value will be null. Example: true